
Foreman - Bug #5692

Puppet environment counters not updated

05/13/2014 12:56 PM - michael beemer

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.6.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link: 1128069 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1690

  

Description

The environment dashboard server count doesn't update.  Please see the screenshot for an example.

[[https://groups.google.com/forum/?fromgroups#!topic/foreman-users/knnR2G8OZYw]]

Related issues:

Related to Foreman - Bug #6210: the config groups page + puppet environments ... Duplicate 06/13/2014

Related to Foreman - Bug #6813: Negative Hosts in Operating Systems view Duplicate 07/29/2014

Related to Foreman - Bug #7246: Remove counter workaround for #5692 on upgrad... Rejected 08/25/2014

Related to Foreman - Bug #7247: Create migration to fix incorrect counts caus... Closed 08/25/2014

Related to Foreman - Bug #10133: Massive db deadlocks in postgres from hosts_... Closed 04/14/2015

Related to Foreman - Bug #11051: OS host counters inaccurate after host deletion Rejected 07/08/2015

Related to Foreman - Bug #11444: Domains page shows negative number of hosts Closed 08/21/2015

Has duplicate Foreman - Bug #6716: Wrong hosts count on environment page Duplicate 07/22/2014

Has duplicate Foreman - Bug #7769: Negative number of hosts Duplicate 10/01/2014

Associated revisions

Revision ae4998bc - 09/11/2014 10:36 AM - Tomer Brisker

Fixes #5692 - correct counts in cached_counters

Revision f49cec20 - 10/07/2014 07:49 AM - Tomer Brisker

Fixes #5692 - correct counts in cached_counters

(cherry picked from commit ae4998bc96efd7c494f2d60313aca435cfc76b52)

History

#1 - 05/13/2014 01:02 PM - Dominic Cleal

- Subject changed from Foreman 1.5 Puppet Environments to Puppet environment counters not updated

- translation missing: en.field_release set to 16

#2 - 05/19/2014 12:28 PM - Dominic Cleal

- Target version set to 1.8.2

#3 - 06/06/2014 01:20 PM - Dominic Cleal

- translation missing: en.field_release deleted (16)

#4 - 06/11/2014 02:57 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#5 - 06/18/2014 04:34 PM - Dominic Cleal
- Related to Bug #6210: the config groups page + puppet environments page not displaying correct numbers of hosts and host groups added

#6 - 06/18/2014 04:34 PM - Dominic Cleal

Linked #6210 which is likely a duplicate, or a very similar issue.

#7 - 06/18/2014 04:50 PM - Stephen Benjamin

I'm almost certain it's a duplicate, because I've noticed myself now in a few places that the counter caches are fragile.  When writing directly to the

DB, they don't get updated, and I have a feeling there's something else fishy going on.  I doubt it's simple.

What do you think about a rake task that will at least correct the wrong counts until we figure it out?

#8 - 06/18/2014 05:09 PM - Dominic Cleal

Stephen Benjamin wrote:

I'm almost certain it's a duplicate, because I've noticed myself now in a few places that the counter caches are fragile.  When writing directly to

the DB, they don't get updated, and I have a feeling there's something else fishy going on.  I doubt it's simple.

What do you think about a rake task that will at least correct the wrong counts until we figure it out?

 Can do, if it can be done simply.  I think having this will be useful anyway.

#9 - 06/19/2014 03:56 PM - Dominic Cleal

- Target version deleted (1.8.1)

#10 - 07/22/2014 06:26 AM - Dominic Cleal

- Has duplicate Bug #6716: Wrong hosts count on environment page added

#11 - 07/29/2014 06:15 AM - Dominic Cleal

- Related to Bug #6813: Negative Hosts in Operating Systems view added

#12 - 08/12/2014 05:59 AM - Tomer Brisker

- Assignee set to Tomer Brisker

- Target version set to 1.7.5

#13 - 08/14/2014 04:34 AM - Dominic Cleal

- Status changed from New to Assigned

#14 - 08/14/2014 05:42 PM - Tomer Brisker

- Status changed from Assigned to Duplicate

#15 - 08/14/2014 05:43 PM - Tomer Brisker

- Status changed from Duplicate to Assigned

#16 - 08/14/2014 05:46 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1690 added

- Pull request deleted ()

#17 - 08/19/2014 04:42 PM - Bryan Kearney

- Bugzilla link set to 1128069

#18 - 08/20/2014 06:49 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#19 - 08/25/2014 09:31 AM - Tomer Brisker

- Related to Bug #7246: Remove counter workaround for #5692 on upgrade to rails 4.x added

#20 - 08/25/2014 09:33 AM - Tomer Brisker
- Related to Bug #7247: Create migration to fix incorrect counts caused by #5692 and related bugs added

#21 - 09/10/2014 07:20 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#22 - 09/11/2014 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ae4998bc96efd7c494f2d60313aca435cfc76b52.

#23 - 09/11/2014 11:03 AM - Dominic Cleal

- translation missing: en.field_release set to 22

#24 - 10/02/2014 03:27 AM - Dominic Cleal

- Has duplicate Bug #7769: Negative number of hosts added

#25 - 02/06/2015 04:38 AM - Anonymous

Spam deleted by administrator.

#26 - 04/15/2015 03:13 AM - Tomer Brisker

- Related to Bug #10133: Massive db deadlocks in postgres from hosts_counter updates with counter_cache_fix.rb added

#27 - 07/09/2015 04:11 AM - Dominic Cleal

- Related to Bug #11051: OS host counters inaccurate after host deletion added

#28 - 08/21/2015 08:57 AM - Dominic Cleal

- Related to Bug #11444: Domains page shows negative number of hosts added

Files
